Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359792 - python-autobahn: Incorrectly checks the Origin header when the 'allowedOrigins' value is set [fedora-24]
Summary: python-autobahn: Incorrectly checks the Origin header when the 'allowedOrigin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-autobahn
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 12:53 UTC by Andrej Nemec
Modified: 2016-08-04 20:54 UTC (History)
1 user (show)

Fixed In Version: python-autobahn-0.10.9-1.gitcf10233.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 20:54:48 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-07-25 12:53:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-07-25 12:53:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1359791,1359792

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Julien Enselme 2016-07-25 13:24:15 UTC
Solved in rawhide by publishing version 0.15.0 which contains the bug fix. See: http://koji.fedoraproject.org/koji/buildinfo?buildID=785339 and here: https://github.com/crossbario/autobahn-python/releases/tag/v0.15.0

An update for f24 with the patch is no the way.

Comment 3 Fedora Update System 2016-07-25 14:10:15 UTC
python-autobahn-0.10.9-1.gitcf10233.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-acda4281c9

Comment 4 Fedora Update System 2016-07-28 06:01:03 UTC
python-autobahn-0.10.9-1.gitcf10233.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-acda4281c9

Comment 5 Fedora Update System 2016-08-04 20:54:47 UTC
python-autobahn-0.10.9-1.gitcf10233.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.